
<html>
<head>
  <meta charset="utf-8">
  <title>GNUKhata</title>
  <style>
   @page {
       size: 21cm 29.7cm;
       margin: 10mm 3mm 15mm 10mm; /* change the margins as you want them to be. */
   }
   td {
       font-size: 65%;
       padding: 2px !important;
       margin:  0 !important;
   }
   body {
       background-image: none;
   }
   th {
       font-size: 75%;
       padding: 3px !important;
       margin:  0 !important;
   }
   table { page-break-inside:auto }
   tr    { page-break-inside:avoid; page-break-after:auto }
   thead { display: table-header-group; }
   tfoot { display: table-footer-group; }
   .borderdiv {
       border-left-style:solid;
       border-width: 1px;
   }
   .nopadding {
       padding: 0 !important;
       margin: 0 !important;
   }
   div {
       font-size:95%;
   }
   .hborderdiv {
       border-top-style:solid;
       padding-top: 10px;
       border-width: 1px;
   }
  </style>
</head>
<body>
  <div class="container-fluid">
    <div class="hidden-print row text-center text-primary">
      <b>{% trans %}To avoid a URL appearing on your print please set 'Title' option to 'blank' in your browser's print settings. Sample setting for{% endtrans %} <a  href="{{request.static_url('gkwebapp:static/images/print.jpg')}}" target="_blank" class="text-danger"><u>{% trans %}Mozilla Firefox{% endtrans %}</u></a>.</b>
    </div>
    {% if gkresult["taxflag"] == 7 %}
      <div class="row text-center">
	<h5><u>CASH MEMO / TAX INVOICE</u></h5>
      </div>
    {% else %}
      <div class="row text-center">
	<h5><u>CASH MEMO</u></h5>
      </div>
      {% endif %}
      <div class="row col-sm-12">
      <div class="col-xs-3" id="logo_div">

        <div class="img-thumbnail img-circle ">
          <div style="position: relative; padding: 0; cursor: pointer;" type="file">
	    <img class="img-circle"  style="width: 100px; height: 100px;" id="imgbox">
          </div>
        </div>
      </div>
      <div class="row col-xs-9 nopaddng">

        <h3>{{org["orgname"]}}</h3>
        {% if org["orgaddr"]!='' %}
          {{org["orgaddr"]}},
        {% endif %}
        {% if org["orgcity"]!='' %}
           {{org["orgcity"]}}
	{% endif %}
	{% if org["orgpincode"] %}
	  - {{org["orgpincode"]}},
        {% endif %}
        {% if org["orgstate"]!='' %}
           {{org["orgstate"]}}.
        {% endif %}
	<br>
        {% if org["orgtelno"]!='' %}
          Contact No.: {{org["orgtelno"]}},
        {% endif %}
        {% if org["orgemail"]!='' %}
          Email : {{org["orgemail"]}},
        {% endif %}
        {% if org["orgfax"] %}
          Fax : {{org["orgfax"]}},
        {% endif %}
        {% if org["orgwebsite"]!='' %}
          Website : {{org["orgwebsite"]}}
        {% endif %}
	{# {% if gkresult["taxflag"] == 7 %} #}
	  <div class="form-group form-inline col-sm-12 nopadding">
	    <label for="orgstategstin">{% trans %}GSTIN{% endtrans %} : </label>
	    {% if gkresult["orgstategstin"] %}{{ gkresult["orgstategstin"] }}{% endif %}
	  </div>
	{# {% endif %} #}
      </div>

    </div>
    <br>
    <div class="row col-sm-12">
      <div class="form-group form-inline col-sm-3 nopadding">
  <label class="normal"for="bankname">{% trans %}Cash Memo No{% endtrans %} : </label>
  {{ gkresult["invoiceno"] }}
      </div>
      <div class="form-group form-inline col-sm-3 nopadding">
  <label for="instrument_date" class="normal">{% trans %}Date{% endtrans %} : </label>
  {{ gkresult["invoicedate"] }}
      </div>
      <div class="form-group form-inline col-sm-3 nopadding">
  <label>{% trans %}State{% endtrans %} : </label>

    {{ gkresult["sourcestate"] }}
      </div>
      <div class="col-sm-3 text-right">
  	<label for="tax applicable" name="taxflag">{% trans %}Tax Applicable{% endtrans %} :</label>
    {% if gkresult["taxflag"] == 22 %}
  	VAT
    {% else %}
    GST
    {% endif %}
        </div>
      </div>

{% if gkresult["taxflag"] == 22 %}
      <div class=" row col-md-12">
	<br>
	<table class=" table table-condensed table-bordered">
	  <thead class="bg-primary">
	    <tr>
	      <th class="mdvwrap text-center">{% trans %}Product{% endtrans %}</th>
	      <th class="qtyvwrap text-center">{% trans %}Billed Quantity{% endtrans %}</th>
	      <th class="qtyvwrap text-center">{% trans %}Free Quantity{% endtrans %}</th>
	      <th class="smvwrap text-center">{% trans %}Rate{% endtrans %}</th>
	      <th class="smvwrap text-center">
		{% if gkresult["discflag"]|int == 1 %}{% trans %}Discount Amount{% endtrans %}{%else%}{% trans %}Discount %{% endtrans %}{% endif %}
	      </th>
	      <th class="smvwrap text-center">{% trans %}Taxable Value{% endtrans %}</th>
	      <th class="ratewrap text-center">{% trans %}Tax Rate{% endtrans %} %</th>
	      <th class="smvwrap text-center">{% trans %}Tax Amount{% endtrans %}</th>
	      <th class="smvwrap text-center">{% trans %}Total{% endtrans %}</th>
	    </tr>
	  </thead>
	  <tbody>
	    {% for product in gkresult["invcontents"] %}
	      <tr>
		<td class="mdvwrap">
		  <small>{{ gkresult["invcontents"][product]["proddesc"] }}</small>
		</td>
		<td class="qtyvwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["qty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		</td>
		<td class="qtyvwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["freeqty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		</td>
		<td class="smvwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["priceperunit"] }}</small>
		</td>
		<td class="smvwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["discount"] }}{% if gkresult["discflag"]|int == 16 %} %{% endif %}</small>
		</td>
		<td class="smvwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["taxableamount"] }}</small>
		</td>
		<td class="ratewrap text-right">
		  <small>{{ gkresult["invcontents"][product]["taxrate"] }}</small>
		</td>
		<td class="smvwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["taxamount"] }}</small>
		</td>
		<td class="smvwrap text-right">
		  {{ gkresult["invcontents"][product]["totalAmount"] }}
		</td>
	      </tr>
	    {% endfor %}
	  </tbody>
	  <tfoot>
	    <tr>
	      <td colspan="4" class="text-right">
		{% trans %}Total{% endtrans %}
	      </td>
	      <td class="smvwrap text-right">
		{% if gkresult["discflag"]|int == 1 %}{{ gkresult["totaldiscount"] }}{% endif %}
	      </td>
	      <td class="smvwrap text-right">
		{{ gkresult["totaltaxablevalue"] }}
	      </td>
	      <td class="ratewrap">

	      </td>
	      <td class="smvwrap text-right">
		{{ gkresult["totaltaxamt"] }}
	      </td>
	      <td class="smvwrap text-right">
		{{ gkresult["invoicetotal"] }}
	      </td>
	    </tr>
	  </tfoot>

	</table>
      </div>
 {% else %}
   <br>
      <div class="col-sm-12 row">
	<table class="table table-condensed table-bordered">
	  <thead class="bg-primary">
	    <tr>
	      <th rowspan="2" class="mdwrap text-center"><small>{% trans %}Product{% endtrans %}</small></th>
	      <th rowspan="2" class="smwrap text-center"><small>{% trans %}HSN/ SAC{% endtrans %}</small></th>
	      <th rowspan="2" class="qtywrap text-center"><small>{% trans %}Billed Qty{% endtrans %}</small></th>
	      <th rowspan="2" class="qtywrap text-center"><small>{% trans %}Free Qty{% endtrans %}</small></th>
	      <th rowspan="2" class="smwrap text-center"><small>{% trans %}Rate{% endtrans %}</small></th>
	      <th rowspan="2" class="smwrap text-center"><small>{% if gkresult["discflag"]|int == 1 %}{% trans %}Discount Amount{% endtrans %}{%else%}{% trans %}Discount %{% endtrans %}{% endif %}</small></th>
	      <th rowspan="2" class="smwrap text-center"><small>{% trans %}Taxable Value {% endtrans %}</small></th>
	      {% if gkresult["taxname"]=='SGST' %}<th colspan="2" class="taxwrap text-center"><small>{% trans %}CGST{% endtrans %}</small></th>{% endif %}
	      {% if gkresult["taxname"]=='SGST' %}<th colspan="2" class="taxwrap text-center"><small>{% trans %}SGST/UTGST{% endtrans %}</small></th>{% endif %}
	      <th colspan="2" class="text-center"><small>{% trans %}CESS{% endtrans %}</small></th>
	      <th rowspan="2" class="text-center">Total</th>
	    </tr>

	    <tr>
	      {% if gkresult["taxname"]=='SGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
	      {% if gkresult["taxname"]=='SGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
	      {% if gkresult["taxname"]=='SGST' %}<th class="text-center" style="white-space: nowrap"><small>{% trans %}Rate{% endtrans %} %</small></th>{% endif %}
	      {% if gkresult["taxname"]=='SGST' %}<th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>{% endif %}
	      <th class="text-center"><small>{% trans %}Rate{% endtrans %} %</small></th>
              <th class="text-center"><small>{% trans %}Amount{% endtrans %}</small></th>
	    </tr>
	  </thead>
	  <tbody>
	    {% for product in gkresult["invcontents"] %}
	      <tr>
		<td class="mdwrap">
		  <small>{{ gkresult["invcontents"][product]["proddesc"] }}</small>
		</td>
		<td class="smwrap text-center">
		  <small>{{ gkresult["invcontents"][product]["gscode"] }}</small>
		</td>
		<td class="qtywrap text-right">
		  <small>{{ gkresult["invcontents"][product]["qty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		</td>
		<td class="qtywrap text-right">
		  <small>{{ gkresult["invcontents"][product]["freeqty"] }} {{ gkresult["invcontents"][product]["uom"] }}</small>
		</td>

		<td class="smwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["priceperunit"] }}</small>
		</td>
		<td class="smwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["discount"] }}{% if gkresult["discflag"]|int == 16 %} %{% endif %}</small>
		</td>
		<td class="smwrap text-right">
		  <small>{{ gkresult["invcontents"][product]["taxableamount"] }}</small>
		</td>

		{% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="taxcell text-right"><small>{{ gkresult["invcontents"][product]["taxrate"] }}</small></td>{% endif %}
		{% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="taxcell text-right"><small>{{ gkresult["invcontents"][product]["taxamount"] }}</small></td>{% endif %}

		{% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="taxcell text-right"><small>{{ gkresult["invcontents"][product]["taxrate"] }}</td></small>{% endif %}
		{% if gkresult["invcontents"][product]["taxname"]=='SGST' %}<td class="taxcell text-right"><small>{{ gkresult["invcontents"][product]["taxamount"] }}</small></td>{% endif %}
		<td class="text-right"><small>{{ gkresult["invcontents"][product]["cessrate"] }}</small></td>
                <td class="text-right"><small>{{ gkresult["invcontents"][product]["cess"] }}</small></td>
		<td class="text-right">{{ gkresult["invcontents"][product]["totalAmount"] }}</td>
	      </tr>
	    {% endfor %}
	  </tbody>
	  <tfoot>
	    <tr>
	      <td colspan="5" class="text-right totalwrap" style="vertical-align:middle; font-size:75%">Total</td>
	      <td class="text-right smwrap">{{ gkresult["totaldiscount"] }}{% if gkresult["discflag"]|int == 16 %} %{% endif %}</td>
	      <td class="text-right smwrap">{{ gkresult["totaltaxablevalue"] }}</td>
	      {% if gkresult["taxname"]=='SGST' %}<td colspan="2" class="text-right taxwrap">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
	      {% if gkresult["taxname"]=='SGST' %}<td colspan="2" class="text-right taxwrap">{{ gkresult["totaltaxamt"] }}</td>{% endif %}
	      <td colspan="2" class="text-right">{{ gkresult["totalcessamt"] }}</td>
	      <td class="text-right">
		{{ gkresult["invoicetotal"] }}
	      </td>
	    </tr>
	  </tfoot>
	</table>
      </div>
{% endif %}
<div class="col-sm-12 row">
  <div class ="col-sm-4 pull-right" >
    <div class="row">
      <div class="form-inline">
	<div class="col-sm-6">
	  <label for="taxableamount" style="font-size:100% !important;">{% trans %}Taxable Amount{% endtrans %} :</label>
	</div>
	<div class="col-sm-6 text-right">
	  <label id="taxableamount" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["totaltaxablevalue"] }}</label>
	</div>
      </div>
    </div>
    {% if gkresult["taxflag"] == 7 %}
      {% if gkresult["taxname"]=='SGST' %}
	<div class="row hborderdiv gstfield sgstfield">
	  <div class="sgstfield form-inline">
	    <div class="col-sm-6">
	      <label for="totalsgtax" style="font-size:100% !important;">{% trans %}Total SGST{% endtrans %} :</label>
	    </div>
	    <div class="col-sm-6 text-right">
	      <label id="totalsgtax" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["totaltaxamt"] }}</label>
	    </div>
	  </div>
	</div>
	<div class="row hborderdiv gstfield sgstfield">
	  <div class="sgstfield form-inline">
	    <div class="col-sm-6">
	      <label for="totalcgtax" style="font-size:100% !important;">{% trans %}Total CGST{% endtrans %} :</label>
	    </div>
	    <div class="col-sm-6 text-right">
	      <label id="totalcgtax" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["totaltaxamt"] }}</label>
	    </div>
	  </div>
	</div>
      {% endif %}
      <div class="row hborderdiv gstfield">
	<div class="form-inline">
	  <div class="col-sm-6">
	    <label for="totalinvcess" style="font-size:100% !important;">{% trans %}Total CESS{% endtrans %} :</label>
	  </div>
	  <div class="col-sm-6 text-right">
	    <label id="totalinvcess" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["totalcessamt"] }}</label>
	  </div>
	</div>
      </div>
    {% else %}
      <div class="row hborderdiv vatfield">
	<div class="form-inline">
	  <div class="col-sm-6">
	    <label for="totalinvtax" style="font-size:100% !important;">{% trans %}Total Tax{% endtrans %} :</label>
	  </div>
	  <div class="col-sm-6 text-right">
	    <label id="totalinvtax" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["totaltaxamt"] }}</label>
	  </div>
	</div>
      </div>
    {% endif %}
    <div class="row hborderdiv">
      <div class="form-inline">
	<div class="col-sm-6">
	  <label for="totalinvdiscount" style="font-size:100% !important;">{% trans %}Total Discount{% endtrans %} :</label>
	</div>
	<div class="col-sm-6 text-right">
	  <label id="totalinvdiscount" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["totaldiscount"] }}</label>
	</div>
      </div>
    </div>
    <div class="row hborderdiv" style="border-bottom-style:solid;">
      <div class="form-inline">
	<div class="col-sm-6">
	  <label for="totalinvoicevalue" style="font-size:100% !important;">{% trans %}Grand Total{% endtrans %} :</label>
	</div>
	<div class="col-sm-6 text-right">
	  <label id="totalinvoicevalue" style="font-size:100% !important; font-weight:normal !important">{{ gkresult["invoicetotal"] }}</label>
	</div>
      </div>
    </div>
    
  </div>
  
  <!-- code for show or hide bankdetails based on paymentmode,if paymentmode is 2 then show bankdetails or if paymentmode is 3 then show "Cash received"-->
  {% if gkresult["paymentmode"] == 2 %}
    <div class="col-xs-6 nopadding">
      <table class="table table-bordered table-condensed">
	<thead>
	  <tr>
	    <th colspan="4">
	      Bank Details
	    </th>
	  </tr>
	</thead>
	<tbody>
	  <tr>
	    <td>
	      <label for="accountno">{% trans %}Account No.{% endtrans %} :</label>
	    </td>
	    <td>
	      {% if gkresult["bankdetails"]["accountno"] %}{{ gkresult["bankdetails"]["accountno"] }}{% else %}N/A{% endif %}
	    </td>
	    <td>
	      <label for="bankname">{% trans %}Bank Name{% endtrans %} :</label>
	    </td>
	    <td>
	      {% if gkresult["bankdetails"]["bankname"] %}{{ gkresult["bankdetails"]["bankname"] }}{% else %}N/A{% endif %}
	    </td>
	  </tr>
	  <tr>
	    <td>
	      <label for="branch">{% trans %}Branch Name{% endtrans %} :</label>
	    </td>
	    <td>
	      {% if gkresult["bankdetails"]["branchname"] %}{{ gkresult["bankdetails"]["branchname"] }}{% else %}N/A{% endif %}
	    </td>
	    <td>
	      <label for="ifsc">{% trans %}IFSC code{% endtrans %} :</label>
	    </td>
	    <td>
	      {% if gkresult["bankdetails"]["ifsc"] %}{{ gkresult["bankdetails"]["ifsc"] }}{% else %}N/A{% endif %}
	    </td>
	  </tr>
	</tbody>
      </table>
    </div>
  {% else %}
    <strong>{% if gkresult["inoutflag"] | int == 15 %}{% trans %}CASH RECEIVED{% endtrans %}{% else %}{% trans %}CASH PAID{% endtrans %}{% endif %}</strong>
  {% endif %}
  {% if gkresult["invoicetotalword"]!= None %}
    <div class ="col-sm-12 ">
      <div class="col-sm-6">
      </div>
      <div class="col-sm-6">
	<br>
	<label for="totalValueInWord" style="font-size:100% !important;">{% trans %}Total In Words {% endtrans %} :</label></label>
	<i><label id="totalValueInWord"  style="font-size:100% !important;">{{gkresult["invoicetotalword"]}}</label></i>
	<br >
      </div>
    </div>
  {% endif %}

</div>
    <br>
    <div class="row">
      <div class="col-xs-6">
	<strong><i>Thank you!</i></strong>
      </div>
  </div>
  <div class="row">
    <span style="margin:auto; display:table;">
      <button type="button" class="btn btn-sm btn-danger hidden-print" id="invback" accesskey="k">{% trans %}Bac<u>k</u>{% endtrans %}</button>
      <button type="button" class="btn btn-sm btn-info hidden-print" id="invprint" accesskey="t">{% trans %}Prin<u>t</u>{% endtrans %}</button>
    </span>
  </div>
</div>
<script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/printcashmemo.js')}}"></script>
</body>
</html>
